.. _vim.vm.customization.NameGenerator: ../../../vim/vm/customization/NameGenerator.rst


vim.vm.customization.VirtualMachineNameGenerator
================================================
  Specifies that VirtualCenter should generate a virtual machine name from a base prefix comprising the virtual machine entity name. A number is appended, if necessary, to make it unique.Virtual machine names are unique across the set of hosts and virtual machines known to the VirtualCenter instance. VMware Tools reports the names of existing virtual machines.
:extends: vim.vm.customization.NameGenerator_

Attributes:
